#include <bits/stdc++.h>
#define ll long long
#define pb push_back
#define fi first
#define se second
#define all(x) x.begin(),x.end()
#define pii pair<int,int>
#define pll pair<ll,ll>
#define en '\n'
#define ld long double
#define sz(a) a.size()
using namespace std;
//const int mod=998244353;
const int mod=1e9+7;
const int maxn=1e6+10;
const int inf=2e9;
const ll linf=4e18;
int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    int n,k;
    cin>>n>>k;
    vector<int> a(n);
    for (int i=0;i<n;i++)cin>>a[i];
    int ans = 0;
    for (int i=0;i<n;i++)ans += (a[i]*((i+1)*(n-i)));
    cout<<ans;
    return 0;
}